> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Economics

> Returns economic calendar data including economic indicators, releases, and reports from various countries. Includes actual values, consensus estimates, and prior values for economic events such as GDP, employment data, inflation metrics, and more.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "economics": [
      {
        "actual": "",
        "actual_t": "%",
        "consensus": "",
        "consensus_t": "",
        "country": "USA",
        "date": "2026-03-08",
        "description": "Challenger Job Cuts (YoY) report tracks the percentage change in layoffs reported by employers during a given month compared to the same month of the previous year. This report is used by investors and analysts to gauge the strength of the labor market and make informed decisions about their investments. The data in this report can also impact the value of the US dollar, with higher than expected numbers being seen as negative and lower than expected numbers being seen as positive.",
        "event_category": "Employment",
        "event_name": "Challenger Job Cuts (YoY)",
        "event_period": "",
        "id": "6745790147f2830001365a27",
        "importance": 1,
        "notes": "",
        "period_year": 2026,
        "prior": "",
        "prior_t": "%",
        "time": "02:30:09",
        "updated": 1736341667
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.1/calendar/economics
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/economics:
    get:
      tags:
        - economics
      summary: Returns the economic calendar data
      description: >-
        Returns economic calendar data including economic indicators, releases,
        and reports from various countries. Includes actual values, consensus
        estimates, and prior values for economic events such as GDP, employment
        data, inflation metrics, and more.
      operationId: get-economics
      parameters:
        - description: >-
            Specifies return format. Query parameters work the same for both
            formats
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
            maximum: 1000
        - description: >-
            Date to query for calendar data. Shorthand for date_from and date_to
            if they are the same. Defaults for latest
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query from point in time
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query to point in time
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: >-
            The importance level to filter by. Uses Greater Than or Equal To the
            importance indicated
          in: query
          name: parameters[importance]
          schema:
            type: integer
            enum:
              - 1
              - 2
              - 3
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: parameters[updated]
          schema:
            type: integer
        - description: 3-Digit Country Code (e.g., USA, CAN, GBR)
          in: query
          name: country
          schema:
            type: string
            format: A-Z:3
        - description: One or more categories separated by a comma
          in: query
          name: event_category
          schema:
            type: string
            format: csv
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.EconomicResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.EconomicResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.EconomicResponse:
      description: API response containing an array of economic event records
      properties:
        economics:
          items:
            $ref: '#/components/schemas/calendarapi.Economic'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Economic:
      properties:
        actual:
          example: '216000'
          type: string
        actual_t:
          example: 216K
          type: string
        confirmed:
          example: true
          type: boolean
        consensus:
          example: '170000'
          type: string
        consensus_t:
          example: 170K
          type: string
        country:
          example: United States
          type: string
        date:
          example: '2024-01-09'
          type: string
        description:
          example: The change in the number of employed people
          type: string
        event_category:
          example: Employment
          type: string
        event_name:
          example: Nonfarm Payrolls
          type: string
        event_period:
          example: December
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5af
          type: string
        importance:
          example: 5
          type: integer
        notes:
          example: Nonfarm payrolls beat expectations
          type: string
        period_year:
          example: 2023
          type: integer
        prior:
          example: '199000'
          type: string
        prior_t:
          example: 199K
          type: string
        time:
          example: '08:30:00'
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````